<?php
/**
 * The task block mobile view file of block module of ZDOO.
 *
 * @copyright   Copyright 2009-2015 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Hao Sun <sunhao@cnezsoft.com>
 * @package     block
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<table class='table bordered'>
  <thead>
    <tr class='text-center'>
      <th class='w-50px'><?php echo $lang->trade->month;?></th>
      <th class='w-100px chart-label-in'><i class='chart-color-dot-in icon-circle text-green'></i> <?php echo $lang->trade->in . ' (' . zget($currencySign, $this->config->setting->mainCurrency) . ')';?></th>
      <th class='w-100px chart-label-out'><i class='chart-color-dot-out icon-circle text-red'></i> <?php echo $lang->trade->out . ' (' . zget($currencySign, $this->config->setting->mainCurrency) . ')';?></th>
      <th class='w-100px chart-label-profit'><?php echo $lang->trade->profit . '/' . $lang->trade->loss . ' (' . zget($currencySign, $this->config->setting->mainCurrency) . ')';?></th>
    </tr>
  </thead>
  <tbody>
    <?php foreach($annualChartDatas as $month => $monthChartData):?>
    <tr class='text-center'>
      <td><?php echo $month;?></td>
      <td><?php echo $monthChartData['in'];?></td>
      <td><?php echo $monthChartData['out'];?></td>
      <td><?php echo $monthChartData['profit'];?></td>
    </tr>
    <?php endforeach;?>
  </tbody>
</table>
